INDUXA · Docs
Referencia de API

Alertas

Permiso: alertas:leer. Ordenadas por apertura.

GET
/v1/alertas

Authorization

clave
headerAuthorizationBearer <token>

Clave de API de la empresa (ind_live_…, agr_live_… o dsk_live_…).

Query Parameters

desde?string

Por defecto, 7 días antes de «hasta».

Formatdate-time
hasta?string

Por defecto, ahora.

Formatdate-time
estado?string

Todas o solo las abiertas y reconocidas.

Default"todas"
Value in"todas""abiertas"
limite?integer

Filas por página.

Range1 <= value <= 1000
Default200
siguiente?string

Cursor de la página siguiente (el campo «siguiente» de la respuesta anterior).

Response Body

Una página de alertas

application/json
  1. response
alertas?array<>
siguiente?|

null si no hay más.

curl -X GET "https://example.com/v1/alertas"
{  "alertas": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "regla": "string",      "dispositivo": "string",      "tag": "string",      "severidad": "string",      "estado": "string",      "inicio": "2019-08-24T14:15:22Z",      "abiertaEn": "2019-08-24T14:15:22Z",      "reconocidaEn": "2019-08-24T14:15:22Z",      "fin": "2019-08-24T14:15:22Z",      "valorInicio": 0,      "valorPico": 0    }  ],  "siguiente": "string"}